Summary: The Internet Junkbuster v2.0
Name: junkbuster
Version: 2.0
Release: 1
Copyright: GPL
Group: Networking/Utilities
Source: http://internet.junkbuster.com/ijb20.tar.Z
URL: http://www.waldherr.org/junkbuster/
Patch0: junkbuster-init.patch
Patch1: junkbuster-makefile.patch
Patch2: junkbuster-cookie.patch
Patch3: junkbuster-blocklist.patch
Patch4: junkbuster-useragent-blank.patch
BuildRoot: /var/tmp/junkbuster-root

%description 
The Internet Junkbuster (TM) blocks unwanted banner ads and protects
your privacy from cookies and other threats. 

%prep
%setup -q -n ijb20
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig
%patch3 -p1 -b .orig
%patch4 -p1 -b .orig

%build
make && strip junkbuster

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{var/log/junkbuster,usr/{sbin,man/man8},etc/{junkbuster,rc.d/{init.d,rc{0,1,2,3,5,6}.d}}}

install -s -m 744 junkbuster $RPM_BUILD_ROOT/usr/sbin/junkbuster

cp -f junkbuster.1 $RPM_BUILD_ROOT/usr/man/man8/junkbuster.8
cp -f sblock.ini $RPM_BUILD_ROOT/etc/junkbuster/blocklist
cp -f scookie.ini $RPM_BUILD_ROOT/etc/junkbuster/cookiefile
cp -f saclfile.ini $RPM_BUILD_ROOT/etc/junkbuster/aclfile
cp -f config $RPM_BUILD_ROOT/etc/junkbuster/config
cp -f sforward.ini $RPM_BUILD_ROOT/etc/junkbuster/forward
cp -f strust.ini $RPM_BUILD_ROOT/etc/junkbuster/trust

install -m 755 junkbuster.init $RPM_BUILD_ROOT/etc/rc.d/init.d/junkbuster

ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K09junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K09junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K09junkbuster

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ijbfaq.html ijbman.html README README.TOO gpl.html
%dir /etc/junkbuster
%config /etc/junkbuster/blocklist
%config /etc/junkbuster/cookiefile
%config /etc/junkbuster/aclfile
%config /etc/junkbuster/config
%config /etc/junkbuster/forward
%config /etc/junkbuster/trust
%dir /var/log/junkbuster
/usr/sbin/junkbuster
/usr/man/man8/junkbuster.8
/etc/rc.d/init.d/junkbuster
/etc/rc.d/rc0.d/K09junkbuster
/etc/rc.d/rc1.d/K09junkbuster
/etc/rc.d/rc2.d/S84junkbuster
/etc/rc.d/rc3.d/S84junkbuster
/etc/rc.d/rc5.d/S84junkbuster
/etc/rc.d/rc6.d/K09junkbuster

%changelog
* Wed Sep 16 1998 Michael Maher <mike@redhat.com>
- built package from stefan's. 
